Skip to main content
Settings/Settings Operations/Global Settings Operations
GETGlobal Settings OperationsSince 0.6SynchronousAuth Required

QueryGlobalConfig

QueryGlobalConfig

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • nameStringRequired

      The resource name.

    • categoryStringRequired

      类型分类。

    • descriptionStringRequired

      The detailed description of the resource.

    • defaultValueStringRequired

      默认值。

    • valueStringRequired

      字段值。

Endpoint

GET/zstack/v1/global-configurations

/zstack/v1/global-configurations

Operation ID

QueryGlobalConfig

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/global-configurations' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "reservedCapacity", "category": "backupStorage", "description": "Reserved capcacity on every backup storage", "defaultValue": "1G", "value": "2G" } ] }

Change History

This API has no change history records yet.

View all change history